PineRouterDocs
GuidesModelsAPI referenceApps

Get a job

GET
/v1/jobs/{taskId}

Authorization

BearerAuth

AuthorizationBearer <token>

Authorization: Bearer sk-...

In: header

Path Parameters

taskId*string

The taskId from Start a job.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://pinerouter.ai/v1/jobs/task_abc123"
{
  "code": 200,
  "msg": "success",
  "data": {
    "id": "task_abc123",
    "model": "z-image",
    "status": "succeeded",
    "outputs": [
      "https://files.example.com/outputs/abc.png"
    ],
    "error": "string",
    "taskId": "string",
    "state": "string",
    "resultJson": "string",
    "failMsg": "string"
  }
}
{
  "error": {
    "code": "",
    "message": "Invalid token (request id: 20261102053704107200635868d9d6m7EOL5JK)",
    "type": "api_error"
  }
}
{
  "code": 403,
  "msg": "This token has no access to model z-image",
  "data": null
}
{
  "code": 404,
  "msg": "Task not found",
  "data": null
}
{
  "error": {
    "code": "",
    "message": "You have reached the request limit: maximum 60 requests in 1 minutes (request id: 20261102053704107200635868d9d6m7EOL5JK)",
    "type": "api_error"
  }
}
{
  "code": 500,
  "msg": "Task request failed",
  "data": null
}